Name:	    GeoIP
Version:    1.2.0
Summary:    GeoIP is a C library find what country an IP address or hostname originates from.
Release:    1
Group:	    System Environment/Libraries
URL:	    http://www.maxmind.com/app/c
Vendor:	    Maxmind
Source0:    http://www.maxmind.com/download/geoip/api/c/GeoIP-%{version}.tar.gz
License:    GPL
BuildRoot:  %{_tmppath}/%{name}-%{version}-root

%description
GeoIP is a C library that enables the user to find the country that any IP
address or hostname originates from. It uses a file based database that is
accurate as of December 2002. This database simply contains IP blocks as keys,
and countries as values. This database should be more complete and accurate
than using reverse DNS lookups.

This module can be used to automatically select the geographically closest
mirror, to analyze your web server logs to determine the countries of your
visitors, for credit card fraud detection, and for software export controls.

%prep
%setup -q

%build
%configure
make
make check

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall
# Fixup permissions on shared libraries so that findreqs will work right.
chmod 755 $RPM_BUILD_ROOT/%{_libdir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%attr(0755,root,root) %{_libdir}/*.so.*.*
%{_bindir}/*
%{_sysconfdir}/*
%{_includedir}/*
%dir %{_datadir}/GeoIP
%{_datadir}/GeoIP/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_mandir}/*/*

%changelog
* Thu May 22 2003 Ryan Weaver <ryanw@falsehope.com>
- [GeoIP-1.2.0-1]
- Added support for GeoIP City format revision 1, including dma code and area code
- geoiplookup returns results from GeoIP Region, City, ISP and Organization databases
- Standardized location for GeoIP Region, City, ISP and Organization databases
- Added GeoIP_open_type to open database from default location for other dbs besides country
- Added check to make sure that the appropriate database is loaded for each lookup method
- Updated update code to check for first 12 characters of license key
- Added GeoIP_country_continent array to lookup continent by country ID

- [GeoIP-1.1.9-1]
- merged windows patch into main code base (Kenneth R. Robinette)
- Changed const int to #define for windows compatibility

- [GeoIP-1.1.8-1]
- Fixed bug with city database introduced in 1.1.6

- [GeoIP-1.1.7-1]
- Fixed bug introduced in 1.1.6 when run in GEOIP_STANDARD mode
- Added test to test GEOIP_STANDARD

- [GeoIP-1.1.6-1]
- Added spec for building RPMs (Ryan Weaver)
- Added support for 4byte records for Organization database
- Changed Taiwan, Province of China to Taiwan

* Thu Feb 27 2003 Ryan Weaver <ryanw@falsehope.com>
- Initail RPM Build

